curl --request POST \
--url https://api.avanor.tech/gateway/v1/shop_output_config/shop \
--header 'Content-Type: application/json' \
--header 'sign: <api-key>' \
--data '
{
"shop_id": 202203,
"now": "2020-04-21T20:07:02",
"payway": "<string>"
}
'import requests
url = "https://api.avanor.tech/gateway/v1/shop_output_config/shop"
payload = {
"shop_id": 202203,
"now": "2020-04-21T20:07:02",
"payway": "<string>"
}
headers = {
"sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {sign: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({shop_id: 202203, now: '2020-04-21T20:07:02', payway: '<string>'})
};
fetch('https://api.avanor.tech/gateway/v1/shop_output_config/shop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": true,
"message": "Ok",
"error_code": 0,
"data": [
{
"id": 14,
"name": "card-usd",
"rating": 1,
"payways": [
{
"alias": "example_payway_card_usd",
"currency": 840,
"min_amount": 100,
"max_amount": 1000000,
"fee_config": {
"percent": 2.7,
"fix": 1.6
},
"account_info_config": {
"account": {
"regex": "\\d{9,15}$",
"title": "Account number, for example: 971510000000"
}
},
"paysystem_data": {}
}
]
}
]
}Getting possible payout methods
Makes it possible to get an up to date list of available payment ways and their additional parameters required to create a payment. For some payways returns additional data.
Fields involved in request signature generation:
nowshop_id
Authorizations
Every API request must be signed so that we can identify your account.
The signature is transferred in the request body through the sign parameter, for example:
{
"shop_id": 202203,
"shop_order_id" : "1994",
"amout": "104.04",
"currency": 840,
"payway": "payway_usd",
"description": "Invoice sign",
"sign": "05f6d3712417f62af6cbf66ca81c2f0b249f7dc1b4cbe3a50e3f8d67a1fb35a2"
}
"sign" parameter, nevertheless your real requests must include it in the request body where required.
Signature line is generated according to the following algorithm: all request parameters involved in signature generation are ordered in the alphabetical order of keys, the values are concatenated with a colon (":") and the account secret key is added at the end (without the: sign), a sha256 hash is generated from the resulting line and its hex representation is passed in the sign request parameter.
Example of signature generation for a method invoice/create:
- Determining the list of parameters. It looks as follows for the method in consideration:
Fields involved in request signature generation:
shop_idshop_order_idamountcurrencypayway
- Let's sort keys in alphabetical sequence:
"amount", "currency", "payway", "shop_id", "shop_order_id"
- The line for generating the SHA256 hash will be as follows:
"104.04:840:payway_usd:202203:1994account-secret-key"
Where account-secret-key is the secret identification key for your account. You can request a key from the support service.
- Let's get a hash expression of the generated line using Python code:
>>> string_to_sign = '104.04:840:payway_usd:202203:1994account-secret-key' >>> import hashlib >>> sign = hashlib.sha256(string_to_sign.encode()).hexdigest() >>> print(sign) '05f6d3712417f62af6cbf66ca81c2f0b249f7dc1b4cbe3a50e3f8d67a1fb35a2'
Body
Unique shop identifier in the Avanor system.
202203
Request date and time.
"2020-04-21T20:07:02"
Payment direction for payout. Currency of receipt depends on the specified payment way. Execute the API request for get list of additional data.
150^[A-Za-z_,\[\]]+$Response
OK
- Successful request
- Error response
Boolean value, in case of successful response it will be true, in case of error – false
true
A textual description of the error, in case of success - simply Ok
"Ok"
If this value is greater than 0, then the request ended with an error. Description of error codes
0
Show child attributes
Show child attributes